petsc-3.4.2 2013-07-02

# PetscSNPrintfCount

Prints to a string of given length, returns count

### Synopsis

    PetscErrorCode  PetscSNPrintfCount(char *str,size_t len,const char format[],size_t *countused,...)

Not Collective

### Input Parameters

| str | - the string to print to
| len | - the length of str
| format | - the usual printf() format string
| countused | - number of characters used
| any arguments | -

### See Also

PetscSynchronizedFlush(), PetscSynchronizedFPrintf(), PetscFPrintf(), PetscVSNPrintf(),
PetscPrintf(), PetscViewerASCIIPrintf(), PetscViewerASCIISynchronizedPrintf(), PetscSNPrintf()

Level:intermediate
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages